Method: projects.locations.collections.engines.assistants.cannedQueries.listActiveCannedQueryUserViews

列出所有有效 CannedQueryCannedQueryUserView

HTTP 请求

GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/cannedQueries:listActiveCannedQueryUserViews

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。父级助理的资源名称。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

查询参数

参数
languageCode

string

可选。预设查询应返回的语言代码。如果此处未指定,或者找不到相应的翻译,则会返回默认文本。

pageSize

integer

要返回的 CannedQueryUserView 的数量上限。如果未指定,则默认为 100。允许的最大值为 1000;任何大于该值的值都会强制转换为 1000。

pageToken

string

从之前的 CannedQueryService.ListActiveCannedQueryUserViews 调用接收的页面令牌 ListActiveCannedQueryUserViewsResponse.next_page_token。利用其进行后续页面检索。

进行分页时,提供给 CannedQueryService.ListActiveCannedQueryUserViews 的所有其他参数必须与提供页面令牌的调用匹配。

请求正文

请求正文必须为空。

响应正文

CannedQueryService.ListActiveCannedQueryUserViews 方法的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "cannedQueryUserViews": [
    {
      object (CannedQueryUserView)
    }
  ],
  "nextPageToken": string
}
字段
cannedQueryUserViews[]

object (CannedQueryUserView)

表示有效(现有、已启用且满足功能要求)预设查询的 CannedQueryUserView

nextPageToken

string

可作为 ListActiveCannedQueryUserViewsRequest.page_token 发送并用于检索下一页的令牌。如果省略此字段,则不存在后续页面。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite

如需了解详情,请参阅 Authentication Overview

CannedQueryUserView

有关 CannedQuery 的有限信息,但足以满足最终用户的需求。

JSON 表示法
{
  "cannedQuery": string,
  "localizedTexts": {
    object (CannedQueryTexts)
  }
}
字段
cannedQuery

string

相应视图所针对的 CannedQuery 的资源名称。用于标识辅助请求中的预设查询。

格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}/cannedQueries/{cannedQuery}

localizedTexts

object (CannedQueryTexts)

预设查询的本地化文本。